Skip to main content
`Ctrl`+`K`

# MatSolves

Solves \(A x = b\), given a factored matrix, for a collection of vectors

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSolves(Mat mat, Vecs b, Vecs x)

Neighbor-wise Collective

## Input Parameters

- mat - the factored matrix obtained with `MatGetFactor()`

- b - the right-hand-side vectors

## Output Parameter

- x - the result vectors

## Note

The vectors `b` and `x` cannot be the same. I.e., one cannot call `MatSolves`(A,x,x).

## See Also

Matrices, `Mat`, `Vecs`, `MatSolveAdd()`, `MatSolveTranspose()`, `MatSolveTransposeAdd()`, `MatSolve()`

## Level

developer

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages